#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-
#------------------
# ScummSpeaks
#------------------
# Laurence Dougal Myers
# November 2005 - October 2010
#------------------
# Requires: Python 2.5, wxPython 2.8
# Tool to aid in adding or replacing speech in LucasArts games.
#------------------

from __future__ import with_statement # requires Python 2.5
from os import getcwdu
import sys

import ssconst
import ui.app

def run():
    ssconst.strStartDir = getcwdu() # oh look, we're writing to a "constant"
    ssconst.strScummtrPath = getcwdu()
    app = None
    
    try:
        app = ui.app.ScummSpeaksApp(0)
        app.SetExitOnFrameDelete(True)
        app.MainLoop()
    finally:
        if app != None:
            app.Destroy()
    return 0

if __name__ == "__main__": sys.exit(run())
