#!/usr/bin/env python
# -*- coding: ISO-8859-1 -*-

#------------------
# ScummSpeaks
# Constants
#------------------
# October 2008
#------------------

import string

# SCUMM interprets it as "escape code" (0xFF) followed by "do talkSound" (0x0A).
strSoundTrigger = "\\xFF\\x0A"
# This is an entire SOU chunk header
strSOU = "\x53\x4F\x55\x20\x00\x00\x00\x00"
# Stores the starting directory (not used yet)
strStartDir = ""
# Version number as a string
strVersion = "v3 r3"
# Default for opening scummtr for extraction & insertion
strScummtrName = "scummtr.exe"
strExtractCmd = "-cw -g monkey2 -of mi2.txt -H"
strInsertCmd = "-cw -g monkey2 -if [opentextfile] -H"
strScummtrPath = ""

# Taken from Stack Overflow; credit to Vinko Vrsalovic & J.F. Sebastian.
setValidChars = frozenset("-_.() %s%s" % (string.ascii_letters, string.digits)) # for filenames

TYPE_MONSTER = "MONSTER"
TYPE_BUN = "BUN"

COMP_ORIGINAL = "Original"
COMP_MP3 = "MP3"
COMP_OGG = "OGG"
COMP_FLAC = "FLAC"
